## s5 1.1.dfsg.2

=== debian/changelog ===
s5 (1.1.dfsg.2-9) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.5.0 with no changes.
  * Add the year 2020 to my debian/* copyright notice.
  * Drop the adequate autopkgtest.
  * Use the test-name autopkgtest feature.
  * Drop the Name and Contact upstream metadata fields.
  * Bump the debhelper compat level to 13: `dh_missing --fail-missing`
    is the default now.
  * Add a trivial git-buildpackage config file.

 -- Peter Pentchev <roam@debian.org>  Thu, 07 May 2020 23:54:17 +0300

s5 (1.1.dfsg.2-8) unstable; urgency=medium

  * Use my Debian e-mail address.
  * Add a trivial autopkgtest running adequate on the installed package.
  * Drop the Lintian overrides related to B-D: debhelper-compat -
    Lintian 2.5.98 no longer emits these warnings and errors.
  * Use the HTTPS scheme for the upstream homepage now that it works.
  * Declare compliance with Debian Policy 4.3.0 with no changes.
  * Bump the debhelper compatibility level to 12 with no changes.
  * Add the year 2019 to my debian/* copyright notice.
  * Move away from git-dpm.
  * Run `dh_missing --fail-missing`.

 -- Peter Pentchev <roam@debian.org>  Wed, 16 Jan 2019 12:57:17 +0200

s5 (1.1.dfsg.2-7) unstable; urgency=medium

  * Change the libjs-s5 binary package's section to "javascript" to
    match the override file.
  * Switch the copyright format specification URL to the HTTPS scheme.
  * Add the years 2017 and 2018 to my debian/* copyright notice.
  * Use single quotes around strings expanded by make, not the shell,
    in the rules file.
  * Bring up to date with Debian Policy 4.1.4:
    - do not build the documentation if "nodoc" is specified in either
      DEB_BUILD_OPTIONS or DEB_BUILD_PROFILES
    - drop the implied "Testsuite: autopkgtest" source control field
    - add a comment about the repacked upstream tarball
  * Bump the debhelper compatibility level to 11 with no changes and
    use the new debhelper-compat dependency.
  * Add "Rules-Requires-Root: no" and remove an unnecessary chown call.
  * Switch to git-dpm for patch management.
  * Add the -V (version) option and the --help, --version, and --features
    long options to the s5 command-line tool.
  * Let the s5 command-line tool display usage information on the standard
    error stream on unrecognized options.

 -- Peter Pentchev <roam@ringlet.net>  Fri, 04 May 2018 11:24:33 +0300

s5 (1.1.dfsg.2-6) unstable; urgency=medium

  * Remove the DM-Upload-Allowed control field.
  * Update the copyright file a bit:
    - convert it to the 1.0 format
    - bump the year of my copyright notice
    - fix a wrong path to iepngfix.htc
    - rename a license from "BSD" to "BSD-2-clause"
    - break the licenses out into separate stanzas
  * Remove the debian/source/options file, dpkg-dev's defaults for
    compressing the source and binary packages are good enough.
  * Bump the debhelper compatibility level to 9 with no changes.
  * Bump Standards-Version to 3.9.8 with no further changes.
  * Point the Vcs-* source control fields to my new full-source
    GitLab repository and use the HTTPS scheme.
  * Update the watch file to version 4 and explicitly set pgpmode=none.
  * Update the s5 shell script a bit:
    - rename the no-op and verbose operation variables to lowercase
    - allow the S5_* variables to also be overridden in the environment
    - drop support for more than one -v option specified; we only ever
      use it for commands that accept a single -v
    - bump the year of my copyright notice
  * Add an autopkgtest suite and also run the tests during the build.
  * Switch from http://www.meyerweb.com/ to http://meyerweb.com/ in
    several debian/* files; the upstream author seems to prefer this one.
  * Switch the upstream contact e-mail address to s5@meyerweb.com as
    noted on the upstream website.
  * Add an upstream metadata file.
  * Add the xhtml-entities patch to produce proper XHTML and also apply
    it to the slides.js file unzipped during the build.  Closes: #699642
  * Split the actual template content into a new libjs-s5 package.
    Closes: #638949
  * Add the no-capitalization patch to, well, not capitalize slide titles.
    Closes: #701592
  * Move everything except the template symlinks from /usr/share/s5/ to
    /usr/share/doc/s5/ - it's all documentation!  Closes: #709489
  * Use UTC for the timestamps of the unzipped s5-blank files to make
    the build reproducible.  Closes: #785583

 -- Peter Pentchev <roam@ringlet.net>  Thu, 14 Apr 2016 15:27:50 +0300

s5 (1.1.dfsg.2-5) unstable; urgency=low

  * Update the DEP 5 URL in the copyright file after the Alioth migration.
  * Bump Standards-Version to 3.9.2 with no changes.
  * Specify Multi-Arch: foreign for the binary package.

 -- Peter Pentchev <roam@ringlet.net>  Thu, 14 Jul 2011 19:18:29 +0300

s5 (1.1.dfsg.2-4) unstable; urgency=low

  * Actually remove /etc/s5.conf when purging the package.  Closes: #618011
  * Make the short description a noun phrase.
  * Update the copyright file to the latest DEP 5 candidate format and
    bump the year on my debian/* copyright notice.
  * Upload to unstable.

 -- Peter Pentchev <roam@ringlet.net>  Mon, 14 Mar 2011 10:48:45 +0200

s5 (1.1.dfsg.2-3) experimental; urgency=low

  * Bring the copyright file up to DEP 5 rev. 135.
  * Switch to Git and point the Vcs-* fields to Gitorious.
  * Switch to bzip2 compression for the Debian tarball.
  * Bump Standards-Version to 3.9.1 with no changes.
  * Bump the debhelper compatibility level to 8 with no changes.
  * Fix "s5 update" with GNU mktemp - it needs its X's!  Closes: #608166
  * Try to clarify that most of the s5 commands operate on the s5-blank/
    directory and not the container one created by "s5 blank".

  [George Danchev]
  * Added DMUA to control file.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 28 Dec 2010 13:41:40 +0200

s5 (1.1.dfsg.2-2) unstable; urgency=low

  * Reword and move the S5 expansion to the end of the long description

