=== debian/control ===
Source: s5
Section: text
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: unzip
Standards-Version: 4.5.0
Homepage: https://meyerweb.com/eric/tools/s5/
Vcs-Git: https://gitlab.com/s5/pkg-debian-full.git
Vcs-Browser: https://gitlab.com/s5/pkg-debian-full
Rules-Requires-Root: no

Package: s5
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-s5 (= ${source:Version}), ucf
Description: simple HTML-based presentation system
 S5 is a slide show format based entirely on XHTML, CSS, and JavaScript.
 With one file, you can run a complete slide show and have a
 printer-friendly version as well. The markup used for the slides is
 very simple, highly semantic, and completely accessible. Anyone with
 even a smidgen of familiarity with HTML or XHTML can look at the markup
 and figure out how to adapt it to their particular needs. Anyone
 familiar with CSS can create their own slide show theme. It's totally
 simple, and it's totally standards-driven.
 .
 The name S5 stands for "Simple Standards-Based Slide Show System".

Package: libjs-s5
Section: javascript
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: simple HTML-based presentation system - template content
 S5 is a slide show format based entirely on XHTML, CSS, and JavaScript.
 With one file, you can run a complete slide show and have a
 printer-friendly version as well. The markup used for the slides is
 very simple, highly semantic, and completely accessible. Anyone with
 even a smidgen of familiarity with HTML or XHTML can look at the markup
 and figure out how to adapt it to their particular needs. Anyone
 familiar with CSS can create their own slide show theme. It's totally
 simple, and it's totally standards-driven.
 .
 This package contains the JavaScript, CSS, and image files needed to
 create an S5 template.
