=== debian/tests/control ===
Tests: blank
Depends: @
Restrictions: allow-stderr

Test-Command: /usr/sbin/install-docs -c /usr/share/doc-base/s5-primer
Depends: @, doc-base
Features: test-name=install-docs
